Package org.opengis.cite.iso19142

# Class FeatureTypeInfo

java.lang.Object
org.opengis.cite.iso19142.FeatureTypeInfo

public class FeatureTypeInfo extends Object
Provides information about a feature type managed by a WFS. Much of the information is gleaned from the content of the service description (wfs:WFS_Capabilities).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FeatureTypeInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCRSIdentifiers(String... crsIdentifiers)`
  Adds the given sequence of identifiers to the list of supported coordinate reference systems.
  `String`
  `getDefaultCRS()`
  Gets the identifier of the default CRS for this feature type.
  `File`
  `getSampleData()`
  Returns a File containing sample data.
  `org.opengis.geometry.Envelope`
  `getSpatialExtent()`
  Gets the geographic extent for the instances of this feature type.
  `List<String>`
  `getSupportedCRSIdentifiers()`
  Returns of list of supported CRS identifiers.
  `org.opengis.temporal.Period`
  `getTemporalExtent()`
  Gets the temporal extent for the instances of this feature type.
  `QName`
  `getTypeName()`
  Get the qualified name of the feature type.
  `(package private) org.apache.sis.geometry.ImmutableEnvelope`
  `getValidAreaOfCRS(String crsRef)`
  Creates an envelope representing the valid area of use for the specified coordinate reference system (CRS).
  `boolean`
  `isInstantiated()`
  Indicates whether or not there are any instances of this feature type available in the data store.
  `void`
  `setInstantiated(boolean available)`
  Sets the availability of this feature type.
  `void`
  `setSampleData(File sampleData)`
  Sets the location of a sample data file containing instances of this feature type.
  `void`
  `setSpatialExtent(org.opengis.geometry.Envelope geoExtent)`
  Sets the geographic extent of the feature instances.
  `void`
  `setTemporalExtent(org.opengis.temporal.Period period)`
  Sets the temporal extent of the feature instances.
  `void`
  `setTypeName(QName typeName)`
  Sets the feature type name.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FeatureTypeInfo

    public FeatureTypeInfo()

- ## Method Details

  - ### getSupportedCRSIdentifiers

    public List<String> getSupportedCRSIdentifiers()
    Returns of list of supported CRS identifiers. The first entry denotes the default CRS.
    Returns:
      A list of CRS identifiers (absolute URI values).

  - ### addCRSIdentifiers

    public void addCRSIdentifiers(String... crsIdentifiers)
    Adds the given sequence of identifiers to the list of supported coordinate reference systems.
    Parameters:
      `crsIdentifiers` - A sequence of CRS identifiers (absolute URI values that comply with OGC 09-048r3, 4.4).

  - ### getTypeName

    public QName getTypeName()
    Get the qualified name of the feature type.
    Returns:
      A QName object.

  - ### setTypeName

    public void setTypeName(QName typeName)
    Sets the feature type name.
    Parameters:
      `typeName` - A QName object.

  - ### isInstantiated

    public boolean isInstantiated()
    Indicates whether or not there are any instances of this feature type available in the data store.
    Returns:
      `true` if at least one feature instance exists; `false` otherwise.

  - ### setInstantiated

    public void setInstantiated(boolean available)
    Sets the availability of this feature type.
    Parameters:
      `available` - A boolean value indicating if any instances of this type are available in the data store.

  - ### getDefaultCRS

    public String getDefaultCRS()
    Gets the identifier of the default CRS for this feature type.
    Returns:
      A String representing a CRS reference (an absolute URI value).

  - ### getSpatialExtent

    public org.opengis.geometry.Envelope getSpatialExtent()
    Gets the geographic extent for the instances of this feature type. The spatial extent is typically set as follows:
    1. using the first ows:WGS84BoundingBox element appearing in the WFS capabilities document;
    2. from the valid area of the default CRS.
    Returns:
      An Envelope defining a bounding box.

  - ### setSpatialExtent

    public void setSpatialExtent(org.opengis.geometry.Envelope geoExtent)
    Sets the geographic extent of the feature instances. The CRS of the given envelope will be changed to the default CRS if necessary.
    Parameters:
      `geoExtent` - An envelope defining a bounding box in some CRS.

  - ### getSampleData

    public File getSampleData()
    Returns a File containing sample data. This is an XML entity where the document element is wfs:FeatureCollection.
    Returns:
      A File for reading the GML data, or `null` if no data are available.

  - ### setSampleData

    public void setSampleData(File sampleData)
    Sets the location of a sample data file containing instances of this feature type.
    Parameters:
      `sampleData` - A File object.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getTemporalExtent

    public org.opengis.temporal.Period getTemporalExtent()
    Gets the temporal extent for the instances of this feature type.
    Returns:
      A period representing a time interval, or null if the feature has no temporal properties.

  - ### setTemporalExtent

    public void setTemporalExtent(org.opengis.temporal.Period period)
    Sets the temporal extent of the feature instances.
    Parameters:
      `period` - A period representing a time interval.

  - ### getValidAreaOfCRS

    org.apache.sis.geometry.ImmutableEnvelope getValidAreaOfCRS(String crsRef)
    Creates an envelope representing the valid area of use for the specified coordinate reference system (CRS).
    Parameters:
      `crsRef` - An absolute URI ('http' or 'urn' scheme) that identifies a CRS in accord with OGC 09-048r3.
    Returns:
      An ImmutableEnvelope defining the domain of validity for the CRS, or `null` if no CRS definition can be found.